{
  "name": "@openstapps/app",
  "description": "The generic app tailored to fulfill needs of German universities, written using Ionic Framework.",
  "version": "3.0.0-next.0",
  "private": true,
  "license": "GPL-3.0-only",
  "author": "Karl-Philipp Wulfert <krlwlfrt@gmail.com>",
  "contributors": [
    "Frank Nagel <frank.nagel@hrz.uni-marburg.de>",
    "Jovan Krunić <jovan.krunic@gmail.com>",
    "Michel Jonathan Schmitz <michel.jonathan.schmitz@its.thm.de>",
    "Rainer Killinger <mail-openstapps@killinger.co>",
    "Sebastian Lange <sebastianlange87@gmail.com>",
    "Thea Schöbl <dev@theaninova.de>"
  ],
  "scripts": {
    "analyze": "webpack-bundle-analyzer www/stats.json",
    "build": "ng build --configuration=production --stats-json && webpack-bundle-analyzer www/stats.json --mode static --report www/bundle-info.html",
    "build:analyze": "npm run build:stats && npm run analyze",
    "build:android": "ionic capacitor build android --no-open && cd android && ./gradlew clean assembleDebug && cd ..",
    "build:prod": "ng build --configuration=production",
    "build:stats": "ng build --configuration=production --stats-json",
    "changelog": "conventional-changelog -p angular -i src/assets/about/CHANGELOG.md -s -r 0",
    "check-icons": "ts-node scripts/check-icon-correctness.ts",
    "cypress:open": "cypress open",
    "cypress:run": "cypress run",
    "docker:build": "sudo docker run -p 8100:8100 -p 35729:35729 -p 53703:53703 -v $PWD:/app -it registry.gitlab.com/openstapps/app bash -c \"npm install && npm run build\"",
    "docker:build:android": "sudo docker run -p 8100:8100 -p 35729:35729 -p 53703:53703 -v $PWD:/app -it registry.gitlab.com/openstapps/app bash -c \"npm run build:android\"",
    "docker:enter": "sudo docker run -p 8100:8100 -p 35729:35729 -p 53703:53703 -v $PWD:/app -it registry.gitlab.com/openstapps/app bash",
    "docker:pull": "sudo docker pull registry.gitlab.com/openstapps/app",
    "docker:run:android": "sudo docker run -v $PWD:/app --privileged -v /dev/bus/usb:/dev/bus/usb --net=host -it registry.gitlab.com/openstapps/app bash -c \"npm run run:android\"",
    "docker:serve": "sudo docker run -p 8100:8100 -p 35729:35729 -p 53703:53703 -v $PWD:/app -it registry.gitlab.com/openstapps/app bash -c \"npm run start:external\"",
    "e2e": "ng e2e",
    "format": "prettier . -c --ignore-path ../../.gitignore",
    "format:fix": "prettier --write . --ignore-path ../../.gitignore",
    "licenses": "license-checker --json > src/assets/about/licenses.json && ts-node ./scripts/accumulate-licenses.ts && git add src/assets/about/licenses.json",
    "lint": "ng lint",
    "lint:fix": "eslint --fix -c .eslintrc.json --ignore-path .eslintignore --ext .ts,.html src/",
    "minify-icons": "ts-node scripts/minify-icon-font.ts",
    "ng": "ng",
    "postinstall": "(jetify && node ngcc-postinstall.mjs) || echo \"skipping jetify in production mode\"",
    "preview": "http-server www --p 8101 -o",
    "push": "git push && git push origin \"v$npm_package_version\"",
    "resources:android": "cordova-res android --skip-config --copy",
    "resources:ios": "cordova-res ios --skip-config --copy",
    "run:android": "ionic capacitor run android --livereload --external",
    "start": "ionic serve",
    "start:external": "ionic serve --external",
    "start:prod": "ionic serve --prod",
    "test": "ng test --watch=false --code-coverage",
    "test:integration": "sh integration-test.sh"
  },
  "dependencies": {
    "@angular/animations": "13.4.0",
    "@angular/cdk": "13.3.9",
    "@angular/common": "13.4.0",
    "@angular/core": "13.4.0",
    "@angular/forms": "13.4.0",
    "@angular/platform-browser": "13.4.0",
    "@angular/router": "13.4.0",
    "@asymmetrik/ngx-leaflet": "13.0.2",
    "@asymmetrik/ngx-leaflet-markercluster": "13.0.1",
    "@awesome-cordova-plugins/calendar": "5.45.0",
    "@awesome-cordova-plugins/core": "5.45.0",
    "@capacitor/app": "4.1.1",
    "@capacitor/browser": "4.1.0",
    "@capacitor/core": "4.6.1",
    "@capacitor/device": "4.1.0",
    "@capacitor/dialog": "4.1.0",
    "@capacitor/filesystem": "4.1.4",
    "@capacitor/geolocation": "4.1.0",
    "@capacitor/haptics": "4.1.0",
    "@capacitor/keyboard": "4.1.0",
    "@capacitor/local-notifications": "4.1.4",
    "@capacitor/network": "4.1.0",
    "@capacitor/preferences": "4.0.2",
    "@capacitor/share": "4.1.0",
    "@capacitor/splash-screen": "4.1.2",
    "@capacitor/status-bar": "4.1.1",
    "@hugotomazi/capacitor-navigation-bar": "2.0.0",
    "@ionic-native/core": "5.36.0",
    "@ionic/angular": "6.7.5",
    "@ionic/storage": "4.0.0",
    "@ngx-translate/core": "14.0.0",
    "@ngx-translate/http-loader": "7.0.0",
    "@openid/appauth": "1.3.1",
    "@openstapps/api": "workspace:*",
    "@openstapps/core": "workspace:*",
    "@transistorsoft/capacitor-background-fetch": "1.0.2",
    "capacitor-secure-storage-plugin": "0.8.1",
    "cordova-plugin-calendar": "5.1.6",
    "deepmerge": "4.3.1",
    "form-data": "4.0.0",
    "geojson": "0.5.0",
    "ionic-appauth": "0.9.0",
    "jsonpath-plus": "6.0.1",
    "leaflet": "1.9.3",
    "leaflet.markercluster": "1.5.3",
    "material-symbols": "0.4.1",
    "moment": "2.29.4",
    "ngx-logger": "5.0.12",
    "ngx-markdown": "13.1.0",
    "ngx-moment": "6.0.2",
    "opening_hours": "3.8.0",
    "rxjs": "7.8.0",
    "swiper": "8.4.5",
    "tslib": "2.4.1",
    "zone.js": "0.12.0"
  },
  "devDependencies": {
    "@angular-devkit/architect": "0.1303.11",
    "@angular-devkit/build-angular": "13.3.11",
    "@angular-devkit/core": "13.3.11",
    "@angular-devkit/schematics": "13.3.11",
    "@angular-eslint/builder": "13.5.0",
    "@angular-eslint/eslint-plugin": "13.5.0",
    "@angular-eslint/eslint-plugin-template": "13.5.0",
    "@angular-eslint/schematics": "13.5.0",
    "@angular-eslint/template-parser": "13.5.0",
    "@angular/cli": "13.3.11",
    "@angular/compiler": "13.4.0",
    "@angular/compiler-cli": "13.4.0",
    "@angular/language-service": "13.4.0",
    "@angular/platform-browser-dynamic": "13.3.11",
    "@capacitor/android": "4.6.1",
    "@capacitor/cli": "4.6.1",
    "@capacitor/ios": "4.6.1",
    "@compodoc/compodoc": "1.1.19",
    "@cypress/schematic": "1.7.0",
    "@ionic/angular-toolkit": "6.1.0",
    "@ionic/cli": "6.20.4",
    "@openstapps/prettier-config": "workspace:*",
    "@openstapps/tsconfig": "workspace:*",
    "@types/fontkit": "1.8.0",
    "@types/geojson": "1.0.6",
    "@types/glob": "8.0.1",
    "@types/jasmine": "4.3.1",
    "@types/jasminewd2": "2.0.10",
    "@types/jsonpath": "0.2.0",
    "@types/leaflet": "1.9.0",
    "@types/leaflet.markercluster": "1.5.1",
    "@types/node": "18.15.3",
    "@typescript-eslint/eslint-plugin": "5.49.0",
    "@typescript-eslint/parser": "5.49.0",
    "cordova-res": "0.15.4",
    "cypress": "12.0.1",
    "eslint": "8.33.0",
    "eslint-plugin-jsdoc": "39.7.4",
    "eslint-plugin-prettier": "4.2.1",
    "eslint-plugin-unicorn": "45.0.2",
    "fontkit": "2.0.2",
    "glob": "10.2.7",
    "http-server": "14.1.1",
    "is-docker": "2.2.1",
    "jasmine-core": "4.5.0",
    "jasmine-spec-reporter": "7.0.0",
    "jetifier": "2.0.0",
    "junit-report-merger": "6.0.2",
    "karma": "6.4.1",
    "karma-chrome-launcher": "3.1.1",
    "karma-junit-reporter": "2.0.1",
    "karma-coverage": "2.2.1",
    "karma-mocha-reporter": "2.2.5",
    "karma-jasmine": "5.1.0",
    "license-checker": "25.0.1",
    "protractor": "7.0.0",
    "surge": "0.23.1",
    "ts-node": "10.9.1",
    "typescript": "4.6.4",
    "webpack-bundle-analyzer": "4.7.0"
  },
  "prettier": "@openstapps/prettier-config",
  "cordova": {
    "plugins": {},
    "platforms": [
      "ios",
      "browser",
      "android"
    ]
  }
}
